#include "opendylan/run-time.h"

void _Init_dylan_compiler_ () __attribute__((constructor));
void _Init_dylan_compiler_ () {
  extern void _Init_Run_Time();
  extern void _Init_dfmc_back_end_implementations_();
  extern void _Init_environment_internal_commands_();
  extern void _Init_environment_commands_();
  extern void _Init_environment_protocols_();
  extern void _Init_release_info_();
  extern void _Init_dfmc_common_();
  extern void _Init_commands_();
  extern void _Init_io_();
  extern void _Init_system_();
  extern void _Init_common_dylan_();
  extern void _Init_dylan_();
  extern void _Init_dylan_compiler__X_compiler_library_for_system();
  extern void _Init_dylan_compiler__X_compiler_module_for_system();
  extern void _Init_dylan_compiler__X_command_line_for_system();
  extern void _Init_dylan_compiler__X_compiler_command_line_for_system();
  extern void _Init_dylan_compiler__X_start_for_system();
  extern void _Init_dylan_compiler__X_compiler_library_for_user();
  extern void _Init_dylan_compiler__X_compiler_module_for_user();
  extern void _Init_dylan_compiler__X_command_line_for_user();
  extern void _Init_dylan_compiler__X_compiler_command_line_for_user();
  extern void _Init_dylan_compiler__X_start_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_dfmc_back_end_implementations_();
    _Init_environment_internal_commands_();
    _Init_environment_commands_();
    _Init_environment_protocols_();
    _Init_release_info_();
    _Init_dfmc_common_();
    _Init_commands_();
    _Init_io_();
    _Init_system_();
    _Init_common_dylan_();
    _Init_dylan_();
    _Init_dylan_compiler__X_compiler_library_for_system();
    _Init_dylan_compiler__X_compiler_module_for_system();
    _Init_dylan_compiler__X_command_line_for_system();
    _Init_dylan_compiler__X_compiler_command_line_for_system();
    _Init_dylan_compiler__X_start_for_system();
    _Init_dylan_compiler__X_compiler_library_for_user();
    _Init_dylan_compiler__X_compiler_module_for_user();
    _Init_dylan_compiler__X_command_line_for_user();
    _Init_dylan_compiler__X_compiler_command_line_for_user();
    _Init_dylan_compiler__X_start_for_user();
  }
}
